export enum Country {
  Germany = "DE",
  Canada = "CA",
  Italy = "IT",
  Norway = "NO",
  Portugal = "PT",
  Brazil = "BR",
  Australia = "AU",
  Ireland = "IE",
  NewZealand = "NZ",
  Switzerland = "CH",
  Austria = "AT",
  Russia = "RU",
  Poland = "PL",
  UnitedStates = "US",
  UnitedKingdom = "GB",
  Ukraine = "UA",
  Slovakia = "SK",
  Spain = "ES",
  France = "FR",
  Guadeloupe = "GP",
  Martinique = "MQ",
  FrenchGuiana = "GF",
  Reunion = "RE",
  Mayotte = "YT",
  StMartin = "MF",
  FrenchPolynesia = "PF",
  WallisAndFutuna = "WF",
  NewCaledonia = "NC",
  Netherlands = "NL",
  Israel = "IL",
  Lithuania = "LT",
  Curacao = "CW",
  Gibraltar = "GI",
  Jersey = "JE",
  Greece = "GR",
  Belgium = "BE",
  Hungary = "HU",
  Slovenia = "SI",
}

export enum Domain {
  MAIN = "https://levelupcasino.com/",
  MIRROR_2 = "https://levelupcasino2.com/",
  MIRROR_10 = "https://levelupcasino10.com/",
}

export const mapDomainByCountry: { [country: string]: string } = {
  [Country.Australia]: Domain.MIRROR_10,
  [Country.Switzerland]: Domain.MIRROR_2,
  [Country.Germany]: Domain.MIRROR_2,
  [Country.Portugal]: Domain.MIRROR_2,
};
